Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.jpdl.el.impl
Class BeanInfoManager

    java.lang.Object
      org.jbpm.jpdl.el.impl.BeanInfoManager

    public class BeanInfoManager

extends java.lang.Object

Manages the BeanInfo for one class - contains the BeanInfo, and also a mapping from property name to BeanInfoProperty. There are also static methods for accessing the BeanInfoManager for a class - those mappings are cached permanently so that once the BeanInfoManager is calculated, it doesn't have to be calculated again.

Version:
  $Change: 181181 $$DateTime: 2001/06/26 09:55:09 $$Author$
Author:
  Nathan Abramson - Art Technology Group, Tom Baeyens - JBoss

Method Summary
`java.lang.Class` | `getBeanClass()`
`static BeanInfoIndexedProperty` | `getBeanInfoIndexedProperty(java.lang.Class pClass, java.lang.String pIndexedPropertyName, Logger pLogger)` Returns the BeanInfoIndexedProperty for the specified property in the given class, or null if not found.
`static BeanInfoManager` | `getBeanInfoManager(java.lang.Class pClass)` Returns the BeanInfoManager for the specified class
`static BeanInfoProperty` | `getBeanInfoProperty(java.lang.Class pClass, java.lang.String pPropertyName, Logger pLogger)` Returns the BeanInfoProperty for the specified property in the given class, or null if not found.
`static BeanMethod` | `getBeanMethod(java.lang.Class pClass, java.lang.String indexStr, Logger logger)`
`BeanMethod` | `getBeanMethod(java.lang.String pMethodName, Logger pLogger)`
`java.beans.EventSetDescriptor` | `getEventSet(java.lang.String pEventSetName, Logger pLogger)` Returns the EventSetDescriptor for the given event set name, or null if not found.
`BeanInfoIndexedProperty` | `getIndexedProperty(java.lang.String pIndexedPropertyName, Logger pLogger)` Returns the BeanInfoIndexedProperty for the given property name, or null if not found.
`BeanInfoProperty` | `getProperty(java.lang.String pPropertyName, Logger pLogger)` Returns the BeanInfoProperty for the given property name, or null if not found.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getBeanClass

    public java.lang.Class getBeanClass()

### getBeanInfoManager

    public static BeanInfoManager getBeanInfoManager(java.lang.Class pClass)

  Returns the BeanInfoManager for the specified class

### getBeanInfoProperty

    public static BeanInfoProperty getBeanInfoProperty(java.lang.Class pClass,
                                                       java.lang.String pPropertyName,
                                                       Logger pLogger)
                                                throws ELException

  Returns the BeanInfoProperty for the specified property in the given class, or null if not found.

  Throws:
    `ELException`

### getBeanInfoIndexedProperty

    public static BeanInfoIndexedProperty getBeanInfoIndexedProperty(java.lang.Class pClass,
                                                                     java.lang.String pIndexedPropertyName,
                                                                     Logger pLogger)
                                                              throws ELException

  Returns the BeanInfoIndexedProperty for the specified property in the given class, or null if not found.

  Throws:
    `ELException`

### getBeanMethod

    public static BeanMethod getBeanMethod(java.lang.Class pClass,
                                           java.lang.String indexStr,
                                           Logger logger)
                                    throws ELException

  Throws:
    `ELException`

### getProperty

    public BeanInfoProperty getProperty(java.lang.String pPropertyName,
                                        Logger pLogger)
                                 throws ELException

  Returns the BeanInfoProperty for the given property name, or null if not found.

  Throws:
    `ELException`

### getIndexedProperty

    public BeanInfoIndexedProperty getIndexedProperty(java.lang.String pIndexedPropertyName,
                                                      Logger pLogger)
                                               throws ELException

  Returns the BeanInfoIndexedProperty for the given property name, or null if not found.

  Throws:
    `ELException`

### getBeanMethod

    public BeanMethod getBeanMethod(java.lang.String pMethodName,
                                    Logger pLogger)
                             throws ELException

  Throws:
    `ELException`

### getEventSet

    public java.beans.EventSetDescriptor getEventSet(java.lang.String pEventSetName,
                                                     Logger pLogger)
                                              throws ELException

  Returns the EventSetDescriptor for the given event set name, or null if not found.

  Throws:
    `ELException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD